For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
Buckets

list

GET
https://api.groundx.ai/api/v1/bucket
GET
/api/v1/bucket
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.buckets.list()
200Retrieved
1{
2 "buckets": [
3 {
4 "bucketId": 1024,
5 "created": "2024-05-15T10:22:45.123Z",
6 "fileCount": 58,
7 "fileSize": "12.4GB",
8 "name": "project-assets",
9 "updated": "2024-06-01T14:18:30.456Z"
10 }
11 ],
12 "count": 1,
13 "remaining": 10,
14 "total": 30
15}
List all buckets within your GroundX account
Was this page helpful?
Previous

get

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Query parameters

nintegerOptional

The maximum number of returned buckets. Accepts 1-100 with a default of 20.

nextTokenstringOptional
A token for pagination. If the number of buckets for a given query is larger than n, the response will include a "nextToken" value. That token can be included in this field to retrieve the next batch of n buckets.

Response

Look up success
bucketslist of objects
countinteger
The number of buckets returned in the current response
remaininginteger
The number of buckets that have not been returned yet, will be null if there are no remaining buckets
totalinteger
The total number of buckets found